<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zzsmart.qomo.kn.cost.manage.mapper.CostPurchasePriceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.zzsmart.qomo.kn.cost.manage.entity.CostPurchasePrice">
        <id column="id" property="id" />
        <result column="material_code" property="materialCode" />
        <result column="material_name" property="materialName" />
        <result column="specification" property="specification" />
        <result column="purchase_type" property="purchaseType" />
        <result column="supplier_code" property="supplierCode" />
        <result column="supplier_name" property="supplierName" />
        <result column="purchase_price_time" property="purchasePriceTime" />
        <result column="purchase_price_sum" property="purchasePriceSum" />
        <result column="min_purchase_price" property="minPurchasePrice" />
        <result column="last_purchase_price" property="lastPurchasePrice" />
        <result column="purchase_price_avg" property="purchasePriceAvg" />
        <result column="direct_material_cost" property="directMaterialCost" />
        <result column="process_cost" property="processCost" />
        <result column="transport_cost" property="transportCost" />
        <result column="mould_cost" property="mouldCost" />
        <result column="orther_cost" property="ortherCost" />
        <result column="tax_tate" property="taxTate" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, material_code, material_name, specification, purchase_type, supplier_code, supplier_name, purchase_price_time, purchase_price_sum, min_purchase_price, last_purchase_price, purchase_price_avg, direct_material_cost, process_cost, transport_cost, mould_cost, orther_cost, tax_tate, create_by, create_time, update_by, update_time, remark
    </sql>

</mapper>
